<template>
  <div class="container">
    <svg @mousedown="updateBar($event)">
      <path :d = "pathXml"></path>
      <path :d = "separatorPath"></path>
    </svg>
  </div>
</template>

<script>
export default {
  name: 'LinearGraph',
  components:{

  },
  props: {
    
  },
  data(){
    return{
      pathXml:"",
      separatorPath:"",
      points:[]
    }
  },
  methods:{
    updateBar: function (event) {
      
      const width = this.$el.clientWidth;
     
      const x = event.offsetX;
      const relativeX = Math.trunc((x*this.points.length)/width)
    
      
        this.separatorPath = `M ${x} 0 L ${x} ${this.$el.clientHeight} `   
      
    },
    calculatePath : function (data) { 
      this.points = data;
      const wU = this.$el.clientWidth/data.length
      var path = 'M 0 0 '
      var max = data[0].mass
      var min = data[0].mass
       for (let i = 0; i < data.length; i++) {
        if(data[i].mass< min) min = data[i].mass
        if(data[i].mass> max) max = data[i].mass
      }

      
      const dif = max - min
      const hU = this.$el.clientHeight/dif

      const balance = (min>0)? min: -min;
      
      for (let i = 0; i < data.length; i++) {
        const element = data[i].mass;
        path+=  ` L ${i*wU} ${((balance+element)*hU)}`
      }
     
      return path
    }

  },
  // on create
  mounted(){
    
  }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
path{
    stroke: #2b2854;
    fill: transparent;

}
svg{
  width: 100%;
  height: 100%;
  background-color: #f4f4fb
}
.container{
  width: 100%;
  height: 100%;
}

</style>
